package com.iformall.enums;

/**
 * Created by luozukai
 */
public enum EnumDelFlag {

    YES(1, "是"),
    NO(0, "否"),
    ;

    public static EnumDelFlag getEnum(Integer code) {
        for (EnumDelFlag value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumDelFlag(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
